import React from "react"
import { Link } from 'react-router-dom'

type User = { id:               number
              name:             string | null
              inheritanceCode:  string
              role:             string }

type Props = { user: User }


const TopNav: React.FC = ({ user }: Props) => (
    <nav className="bg-gray-800 text-white p-3 flex justify-between items-center w-full">
      <div className="flex items-center gap-4">
        <Link to="/" className="text-xl font-bold text-orange-500">ぼざクリ タグ広場</Link>
        <Link to="/posts" className="hover:text-orange-500">広場</Link>
        <Link to="/deerjikists" className="hover:text-orange-500">ニジラー</Link>
        <Link to="/tags" className="hover:text-orange-500">タグ</Link>
        <Link to="/wiki" className="hover:text-orange-500">Wiki</Link>
      </div>
      <div className="ml-auto pr-4">
        <Link to="/setting" className="hover:text-orange-500">{user?.name || '名もなきニジラー'}</Link>
      </div>
    </nav>)


export default TopNav
